We're updating the issue view to help you get more done. 

ModuleLoadError when starting WildFly 13.x and 14.x with Java 11

Description

When WildFly 13.x and 14.x is started on Java 11 then an exception is thrown, see attachment.

This error is described in https://issues.jboss.org/browse/WFCORE-3962 and (partial?) fix is available in https://github.com/wildfly/wildfly-core/pull/3488.
It would be possible to fix it by adding these properties for modular JVMs:
https://github.com/wildfly/wildfly-core/pull/3488/files#diff-0a9358d35ba32486c47864b20ffa5cafR11

Status

Assignee

Karel Suta

Reporter

Karel Suta

Components

Fix versions

Affects versions

1.7.0

Priority

Major